{
  "name": "@mnemotix/lifty",
  "version": "1.0.13",
  "description": "Lifty",
  "license": "Apache-2.0",
  "main": "entrypoint.js",
  "repository": "https://gitlab.com/mnemotix/lifty/lifty-application",
  "author": "Mnemotix <dev@mnemotix.com>",
  "engines": {
    "node": ">=14"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "dependencies": {
    "@apollo/client": "^3.3.19",
    "@babel/core": "^7.14.3",
    "@babel/plugin-proposal-class-properties": "^7.13.0",
    "@babel/plugin-proposal-decorators": "7.14.2",
    "@babel/plugin-proposal-object-rest-spread": "^7.14.2",
    "@babel/plugin-proposal-optional-chaining": "^7.14.2",
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@babel/polyfill": "7.12.1",
    "@babel/preset-env": "^7.14.2",
    "@babel/preset-react": "^7.13.13",
    "@babel/register": "^7.13.16",
    "@fvilers/disable-react-devtools": "1.2.1",
    "@loadable/component": "^5.12.0",
    "@material-ui/core": "^4.11.4",
    "@material-ui/icons": "^4.9.1",
    "@material-ui/lab": "4.0.0-alpha.58",
    "@mnemotix/synaptix-client-toolkit": "^2.2.2",
    "@mnemotix/synaptix.js": "^4.7.28",
    "@types/react": "^17.0.8",
    "@ungap/url-search-params": "0.2.2",
    "@uppy/core": "1.19.1",
    "@uppy/dashboard": "1.20.1",
    "@uppy/locales": "1.20.1",
    "@uppy/tus": "1.9.1",
    "@uppy/url": "1.5.22",
    "@uppy/utils": "3.6.1",
    "apollo-server": "^2.25.1",
    "apollo-upload-client": "^16.0.0",
    "babel-loader": "^8.2.2",
    "babel-plugin-import": "^1.13.3",
    "babel-plugin-jsx-control-statements": "^4.1.0",
    "babel-plugin-react-css-modules": "^5.2.6",
    "babel-plugin-transform-import-ignore": "^1.1.0",
    "clsx": "1.1.1",
    "compression-webpack-plugin": "8.0.0",
    "connect-history-api-fallback": "1.6.0",
    "core-js": "^3.5.0",
    "css-loader": "5.2.6",
    "css-minimizer-webpack-plugin": "3.0.0",
    "csv-file-validator": "^1.10.4",
    "dayjs": "1.10.5",
    "dotenv": "^10.0.0",
    "env-var": "^7.0.1",
    "express": "4.17.1",
    "express-static-gzip": "^2.1.1",
    "favicons": "6.2.2",
    "favicons-webpack-plugin": "5.0.2",
    "file-loader": "6.2.0",
    "formik": "2.2.8",
    "formik-material-ui": "3.0.1",
    "fs": "^0.0.1-security",
    "graphql": "^14.5.8",
    "html-webpack-plugin": "5.3.1",
    "i18next": "20.3.1",
    "i18next-async-backend": "1.0.1",
    "i18next-http-backend": "1.2.6",
    "i18next-http-middleware": "^3.1.1",
    "invariant": "^2.2.4",
    "lodash": "4.17.21",
    "mini-css-extract-plugin": "1.6.0",
    "notistack": "1.0.9",
    "ora": "^5.4.1",
    "prop-types": "^15.7.2",
    "raw-loader": "4.0.2",
    "react": "^17.0.2",
    "react-cookie": "4.0.3",
    "react-dom": "^17.0.2",
    "react-helmet": "^6.1.0",
    "react-helmet-async": "1.0.9",
    "react-i18next": "11.10.0",
    "react-is": "^17.0.2",
    "react-router": "^5.2.0",
    "react-router-dom": "5.2.0",
    "react-router-named-routes": "0.0.23",
    "react-use": "^17.2.4",
    "regenerator-runtime": "^0.13.7",
    "rimraf": "^3.0.2",
    "style-loader": "2.0.0",
    "styled-components": "5.3.0",
    "terser-webpack-plugin": "^5.1.3",
    "tiny-warning": "^1.0.3",
    "url-loader": "4.1.1",
    "use-debounce": "6.0.1",
    "version": "^0.1.2",
    "webpack": "^5.37.1",
    "webpack-cli": "^4.7.0",
    "webpack-dev-middleware": "^4.3.0",
    "webpack-hot-middleware": "^2.25.0",
    "yargs": "^17.0.1",
    "yup": "^0.27.0"
  },
  "devDependencies": {
    "@babel/cli": "^7.12.10",
    "@elastic/elasticsearch": "^7.13.0",
    "jest": "^27.0.1"
  },
  "scripts": {
    "build:prod:frontend": "rimraf dist && NODE_ENV=production NODE_OPTIONS='--no-deprecation' yarn run webpack --config webpack.config.js",
    "build": "yarn build:gql-fragments",
    "build:gql-fragments": "node bin/generateGqlFragments.js",
    "build:prod": "yarn build:prod:frontend",
    "data-index": "node ./bin/indexData.js",
    "sso:sync": "node ./bin/ssoSyncUsers.js",
    "sso:user:create": "node ./bin/ssoCreateUser.js",
    "sso:user:grant": "node ./bin/ssoGrantUser.js",
    "start": "node --max_old_space_size=18192 ./entrypoint.js",
    "start:prod": "NODE_ENV=production USE_DOTENV=true node --no-deprecation --no-warnings ./entrypoint.js",
    "test": "jest __tests__ --passWithNoTests",
    "release": "yarn test && PACKAGE_VERSION=$(yarn node -pe \"require('./package.json').version\") && npx auto-changelog -v $PACKAGE_VERSION && git commit -a -m \"[ic] Releasing $PACKAGE_VERSION\" && git tag -a $PACKAGE_VERSION -m \"v$PACKAGE_VERSION\" && git push origin $PACKAGE_VERSION"
  }
}
